import es

info = es.AddonInfo()
info.name = "Synergy OB weapon equip script"
info.basename = "synob_equip"
info.description = "Automatically adds weapons to info_player_equip when picked up"
info.author = "GODJonez"
info.version = "1.0"

version = es.ServerVar('synob_equip_v', info.version, '%s version'%info.name)

done = False
info_player_equip = -1

weapons = (
    'weapon_crowbar',
    'weapon_stunstick',
    'weapon_pistol',
    'weapon_357',
    'weapon_smg1',
    'weapon_ar2',
    'weapon_shotgun',
    'weapon_crossbow',
    'weapon_frag',
    'weapon_rpg',
    'weapon_physcannon',
    )

def load():
    version.set(info.version)
    version.makepublic()

def es_map_start(ev):
    global done
    done = False

def player_spawn(ev):
    global done, info_player_equip
    if not done:
        done = True
        info_player_equip = int(es.getentityindex('info_player_equip'))
        if info_player_equip < 0:
            info_player_equip = es.createentity('info_player_equip')
            es.spawnentity(info_player_equip)
        userid = int(ev['userid'])
        for weapon in weapons:
            es.server.es_fire(
                '%d %s addoutput "OnPlayerPickup info_player_equip,addoutput,%s 1"'%
                (userid, weapon, weapon)
                             )
            
